% ******************************************************************************
% * Version: 1.0
% * Last modified on: 21 January, 2013 
% * Developers: Michael G. Epitropakis, Xiaodong Li.
% *      email: mge_(AT)_cs_(DOT)_stir_(DOT)_ac_(DOT)_uk 
% *           : xiaodong_(DOT)_li_(AT)_rmit_(DOT)_edu_(DOT)_au 
% * ****************************************************************************

function ub = get_ub(fno)
if (fno == 1 )
	ub = 30;
elseif (fno == 2 || fno == 3)
	ub = 1;
elseif (fno == 4)
	ub = 6 * ones(1, 2);
elseif (fno == 5)
	ub = [1.9 1.1];
elseif (fno == 6 || fno == 7)
	ub = 10 * ones(1, 2);
elseif (fno == 8 || fno == 9)
	ub = 10 * ones(1, 3);
elseif (fno == 10)
	ub = ones(1, 2);
elseif (fno == 11 || fno == 12 || fno == 13)
	dim = 2;
	ub = 5 * ones(1, dim);
elseif (fno == 14 || fno == 15)
	dim = 3;
	ub = 5 * ones(1, dim);
elseif (fno == 16 || fno == 17)
	dim = 5;
	ub = 5 * ones(1, dim);
elseif (fno == 18 || fno == 19)
	dim = 10;
	ub = 5 * ones(1, dim);
elseif (fno == 20 )
	dim = 20;
	ub = 5 * ones(1, dim);
    elseif (fno== 21 || fno== 24)
    dim = 50;
	ub = 2 * ones(1, dim);
    elseif (fno== 22 || fno== 25)
    dim = 100;
	ub = 30 * ones(1, dim);
    elseif (fno== 23 || fno== 26)
    dim = 200;
	ub = 30 * ones(1, dim);
     elseif (fno == 27)
	ub = ones(1, 50);
 elseif (fno == 28)
	ub = ones(1, 100);
 elseif (fno == 29)
	ub = ones(1, 200);
 elseif (fno == 30 || fno == 33 ||  fno == 36 ||  fno == 39  )
	dim = 50;
	ub = 5 * ones(1, dim);
 elseif (fno == 31 || fno == 34 ||  fno == 37 ||  fno == 40 )
	dim = 100;
	ub = 5 * ones(1, dim);
 elseif (fno == 32 || fno == 35 ||  fno == 38 ||  fno == 41  )
	dim = 200;
	ub = 5 * ones(1, dim);
else
	ub = [];
end
